##  for Mageia 9  ##

Name:    setIM
Summary: A tool for select and setup an Input Method
Summary(ja): インプットメソッドの選択と設定
Version: 4.3
Release: 1.np9
License: Apache-2.0
Group:   System/Internationalization
#URL:     http://tomcat.nyanta.jp/sb2/sb.cgi?eid=239
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: yad
BuildArch: noarch

%description
"setIM" is a tool which select and setup an Input Method.

[WARNING]
* If you use the GNOME Desktop, this tool can not change the Input Method except ibus.

[Caution]
* After executed this tool, you should be re-login or reboot.
* This tool support ibus, uim, fcitx5, fcitx.

%description -l ja
インプットメソッドの選択と設定を行う為のスクリプト群です。

【警告】
・このツールは GNOME 環境には対応していません。
（ibus 以外のインプットメソッドを正常に動作させることができません）

【注意】
・このツールが対応しているインプットメソッドは ibus, uim, fcitx5, fcitx です。
・このツールでの設定は現在のユーザーのみに適用されます。
・このツールの実行後は再ログインまたは再起動してください。（再起動を推奨）


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{%{name},applications}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/
install -m755 setIM $RPM_BUILD_ROOT%{_bindir}/
install -m755 gsetIM $RPM_BUILD_ROOT%{_bindir}/
install -m755 *-autostart.sh $RPM_BUILD_ROOT%{_bindir}/
install -m755 setIM-lib $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m644 README $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m644 LICENSE $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m644 ChangeLog_ja $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m644 gsetIM.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -m644 gsetIM.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/48x48/apps/gsetIM.png


%changelog
* Thu Aug 22 2024 tomcat <> 4.3-1.np9
- 4.3

* Mon Sep 04 2023 tomcat <> 4.2-1.np9
- 4.2

* Mon Sep 04 2023 tomcat <> 4.1-1.np9
- 4.1

* Wed Aug 02 2023 tomcat <> 4.0-1.np9
- 4.0 for Mageia 9
